import { BuilderContext, BuilderOutput } from "@angular-devkit/architect";
import { Options } from "../schema";
import { DependentBuildableProjectNode } from "@nrwl/workspace/src/utils/buildable-libs-utils";
import { ProjectGraph, ProjectGraphNode } from "@nrwl/workspace/src/core/project-graph";
export declare class ProjectInfo {
    options: Options;
    projectGraph: ProjectGraph;
    target: ProjectGraphNode;
    dependencies: DependentBuildableProjectNode[];
    context: BuilderContext;
    dependenciesAreBuilt: boolean;
    constructor(options: any, context: any);
    getAll(): {
        options: Options;
        dependencies: DependentBuildableProjectNode[];
        dependenciesAreBuilt: boolean;
        target: ProjectGraphNode<{}>;
        projectGraph: ProjectGraph;
    };
    log(message: any): void;
    getOptions(options: any, context: any): Options;
    getProjectGraph(): ProjectGraph;
    getTarget(projectGraph?: ProjectGraph, context?: BuilderContext): ProjectGraphNode<{}>;
    getDependencies(projectGraph?: ProjectGraph, context?: BuilderContext): DependentBuildableProjectNode[];
    getDependenciesAreBuilt(context?: BuilderContext, dependencies?: DependentBuildableProjectNode[]): boolean;
    reportAnError(message?: string, error?: any): {
        success: boolean;
        info: {
            message: string;
        };
        error: any;
    };
    copyAssetFiles(options?: Options, context?: BuilderContext): Promise<{
        success: boolean;
    }>;
    compileTypeScriptFiles(options?: Options, context?: BuilderContext, projectGraph?: ProjectGraph, projectDependencies?: DependentBuildableProjectNode[]): Promise<BuilderOutput>;
    updatePackageJson(options?: Options, context?: BuilderContext): Promise<BuilderOutput>;
    ok(values?: {
        [key: string]: any;
    }): {
        success: boolean;
    };
    updateBuildableProjectPackageJsonDependencies(context?: BuilderContext, target?: ProjectGraphNode<{}>, dependencies?: DependentBuildableProjectNode[]): Promise<BuilderOutput>;
}
