"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const workspace_1 = require("@nrwl/workspace");
const projectTools_1 = require("../utilities/projectTools");
const generateFiles_1 = require("../utilities/generateFiles");
const updateNxJson_1 = require("../utilities/updateNxJson");
// noinspection JSUnusedGlobalSymbols
function default_1(UserOptions) {
    return (tree, context) => {
        const tools = new projectTools_1.default(UserOptions, context);
        const options = tools.options;
        tools.log('Start template creation');
        return schematics_1.chain([
            workspace_1.addPackageWithInit("@nrwl/jest"),
            workspace_1.formatFiles(options),
            generateFiles_1.default(options),
            updateNxJson_1.default(options),
            tools.updateWorkspaceJson(options)
        ])(tree, context);
    };
}
exports.default = default_1;
//# sourceMappingURL=schematic.js.map