import { Options, UserOptions } from "../schema";
import { Rule } from "@angular-devkit/schematics";
export default class ProjectTools {
    userOptions: UserOptions;
    options: Options;
    project: any;
    context: any;
    constructor(userOptions: any, context: any);
    normalizeOptions(userOptions: UserOptions): Options;
    createCommand(commands: {
        command: string;
    }[]): {
        builder: string;
        options: {
            commands: {
                command: string;
            }[];
        };
    };
    getServeConfig(options?: Options): {
        builder: string;
        options: {
            commands: {
                command: string;
            }[];
        };
    };
    getDeployConfig(options?: Options): {
        builder: string;
        options: {
            commands: {
                command: string;
            }[];
        };
    };
    getTestConfig(options?: Options): {
        builder: string;
        options: {
            jestConfig: import("@angular-devkit/core").Path;
            tsConfig: import("@angular-devkit/core").Path;
            passWithNoTests: boolean;
        };
    };
    getBuildConfig(project?: any, options?: Options): {
        builder: string;
        options: {
            outputPath: import("@angular-devkit/core").Path;
            main: import("@angular-devkit/core").Path;
            yamlConfig: import("@angular-devkit/core").Path;
            tsConfig: import("@angular-devkit/core").Path;
            packageJson: import("@angular-devkit/core").Path;
        };
        configurations: {
            production: {
                optimization: boolean;
                extractLicenses: boolean;
                inspect: boolean;
            };
        };
    };
    getLintConfig(project?: any): {
        builder: string;
        options: {
            tsConfig: string[];
            exclude: string[];
            linter?: undefined;
            config?: undefined;
        };
    } | {
        builder: string;
        options: {
            linter: string;
            config: string;
            tsConfig: string[];
            exclude: string[];
        };
    };
    getProjectArchitect(): any;
    updateWorkspaceJson(options: any): Rule;
    log(message: any): void;
}
